.\" $Id: xtp4.man.in,v 1.1 2000/08/04 04:12:12 till Exp $
.TH XTP4 1 "Release tp4utils_1_2_beta2"
.SH NAME
xtp4 \- a GUI to the tp4d trackpoint driver
.SH SYNOPSIS
.B xtp4
[
.BI \- " standard Xt options"
]
[
.B \-v
]
.SH DESCRIPTION
.B xtp4
is a GUI client that can be used under X to communicate with the
.BR tp4d (1)
driver for IBM trackpoint devices.
.B xtp4
displays the current settings of various trackpoint parameters
and provides GUI elements for modifying them.
.PP
Changes may then be either committed, i.e. physically written
to the device by pressing the `\fIApply\fP' button or discarded with
the `\fIRestore\fP' button. The state of all settings are saved at
program startup and may be recalled by pressing the `\fIRestore Initial
Values\fP' button (note that this only sets up the GUI to reflect the
initial settings; they still must be written by `\fIApply\fP'ing them).
.PP
Pressing another button, `\fISettings to PRIMARY Selection\fP',
will cause
.B xtp4
to aquire the ownership of the PRIMARY selection on the X-Server.
When other applications request this selection (e.g. by the traditional
`middle mouse click'), 
.B xtp4
will send the current settings in a format that is accepted by
.BR tp4d (1)
as command line options. Thus, the settings may easily be pasted
to an editor when writing a startup script for
.BR tp4d (1).
.SS Accelerators
Because, during experiments, the trackpoint may result unusable,
there are keyboard accelerators mapped to all buttons. Simply 
press the first character (in lower case) of the label of the button you
wish to trigger (except for the `Restore Initial Values' button which
is mapped to `i'). Most probably, typing  `i', `a' will render the
trackpoint useful again. (Of course, the accelerator mappings are
user-configurable X-resources.)
.SS "Test Area"
At the upper right corner there is a test area visualizing 
button press and release events. I recommend you to
use this feature when experimenting with new settings.
.SH OPTIONS
All of the standard X / Xt-toolkit options are recognized.
.IP "\fB-v\fP print version info and exit"
.SH FILES
.IP "\fB/tmp/tp4pipe\fR request pipe (clients use \fBflock\fP(2))"
.IP "\fB/tmp/tp4epip\fR reply pipe"
.SH SEE ALSO
.IP "\fIThe source code\fP"
.IP "\fBtp4d\fP(1) the user mode trackpoint driver"
.IP "\fBxtp4\fP(1) the client for \fBtp4d\fP under X"
.IP "`\fIX Toolkit Intrinsics Programming Manual\fP (Vol. 4), O'Reilly'"
about an extensive explanation of the Xt-toolkit and its excellent configurability
by resources.
.SH "BUGS AND LIMITATIONS"
(none :-)
.SH "AUTHOR"
Till Straumann, <Till.Straumann|at|TU-Berlin.de>, 2000.
(replace |at| by @)
